Java.com

Fazer Download Ajuda

Versão para Impressão

Como controlo quando uma aplicação ou um applet não confiável é executado no meu web browser?


Este artigo aplica-se a:
  • Java version(s): 7.0, 8.0

O Java 7u10 apresentou o recurso que permite gerenciar quando e como aplicações Java não confiáveis (ou seja, uma aplicação que seja assinada digitalmente por um editor desconhecido ou um certificado que não tenha sido emitido por uma Autoridade de Certificação confiável) serão executadas se estiverem incluídas em uma página web. Definir o nível de segurança dentro do Painel de Controle do Java determinará se
  1. Você será solicitado antes de uma aplicação Java não confiável ser executada (MÉDIA ou ALTA) ou
  2. Aplicações Java não confiáveis serão bloqueadas para que não possam ser executadas (MUITO ALTO).

A partir do Java 7 Update 51, para que os applets que não estão em conformidade com as práticas de segurança mais recentes possam continuar a ser executados, será necessário incluir a Lista de Sites de Exceção os sites que os hospedam.

A partir do Java 8 Update 20, o nível de segurança Médio foi removidodo Painel de Controle do Java. Só os níveis Alto e Muito Alto estão disponíveis.

A lista de sites de exceção permite que os usuários autorizem os mesmos applets que autorizariam selecionando a opção Médio, só que em uma base de site a site, o que reduz o risco de usar definições mais permissivas.

Localize o Painel de Controle do Java

» Windows
» Mac OS X

Definindo o níveis de Segurança usando o Painel de Controle do Java

  1. No Painel de Controle do Java, clique na guia Segurança.
  2. Selecione o nível de Segurança desejado.
  3. Clique em Aplicar.
  4. Clique em OK para salvar as alterações feitas no Painel de Controle do Java.
Painel de Controle do Java - Java 7
configurações de segurança do painel de controle do Java 7


Painel de Controle do Java - Java 8u20 e versões posteriores
guia Segurança do painel de controle do Java 8u20


Níveis de segurança no Painel de Controle do Java

Muito Alto
Esta é a definição do nível de segurança mais restritiva. Todas as aplicações que são assinadas com um certificado válido e incluem o atributo Permissões no manifesto do arquivo JAR principal têm permissão para serem executadas com prompts de segurança. Todas as demais aplicações serão bloqueadas.

Alto
Essa é a definição de nível mínimo de segurança recomendada (e padrão). Todas as aplicações que são assinadas com um certificado válido ou expirado e incluem o atributo Permissões no manifesto do arquivo JAR principal têm permissão para serem executadas com prompts de segurança. As aplicações também têm permissão para serem executadas com prompts de segurança quando o status de revogação do certificado não pode ser verificado. Todas as demais aplicações serão bloqueadas.

Médio (removido do Java 8 Update 20 e versões posteriores)
Só as aplicações não assinadas que exigem todas as permissões são bloqueadas. Todas as outras aplicações têm permissão para serem executadas com prompts de segurança. Selecionando o nível de segurança Médio não é recomendado e tornará o seu computador mais vulnerável, se você executar uma aplicação mal-intencionada.


Talvez você também esteja interessado em:



Selecionar Idioma | Sobre o Java | Suporte | Desenvolvedores
Privacidade | Termos de Uso | Marcas Comerciais | Isenção de Responsabilidade

Oracle